---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:    '&IDC_GetAttributeBySystemRoutineMethod;'
    name:      GAS - Get Attribute by System Routine Method
    index:     66
    customTagName: getAttributeBySystemRoutineMethod
    inherits: '&IDC_Method;'
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_GAS;'
    superclasses:
    - instance: '&IDC_Method;'
    - instance: '&IDC_ExecutableReturningAttribute;'
    defaultTask: '&IDI_Task_ViewGetAttributeBySystemRoutineMethod;'
    relatedTasks:
    - instance: '&IDI_Task_ViewGetAttributeBySystemRoutineMethod;'
    - instance: '&IDI_Task_EditGetAttributeBySystemRoutineMethod;'
    # - instance: '&IDI_Task_TestMethodBinding;'
    # - instance: '&IDI_Task_CloneMethodBinding;'
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'GAS - Get Attribute by System Routine Method'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships: # FIXME: remove this when we can properly inherit definitions in zq-python
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Get_Attribute_by_System_Routine_Method__returns__Attribute;'
      customTagName: 'returnsAttributeId'
    - instance: '&IDR_Get_Attribute_by_System_Routine_Method__uses__System_Attribute_Routine;'
      customTagName: 'systemAttributeRoutineId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'

  - relationship: '&IDR_Get_Attribute_by_System_Routine_Method__returns__Attribute;'
    index: 127
    sourceClassId: '&IDC_GetAttributeBySystemRoutineMethod;'
    type: 'returns'
    destinationClassId: '&IDC_Attribute;'
    siblingRelationshipId: '&IDR_Attribute__returned_by__Get_Attribute_by_System_Routine_Method;'
    singular: yes

  - relationship: '&IDR_Attribute__returned_by__Get_Attribute_by_System_Routine_Method;'
    index: 128
    sourceClassId: '&IDC_Attribute;'
    type: 'returned by'
    destinationClassId: '&IDC_GetAttributeBySystemRoutineMethod;'
    siblingRelationshipId: '&IDR_Get_Attribute_by_System_Routine_Method__returns__Attribute;'
    singular: no

  - relationship: '&IDR_Get_Attribute_by_System_Routine_Method__uses__System_Attribute_Routine;'
    index: 133
    sourceClassId: '&IDC_GetAttributeBySystemRoutineMethod;'
    type: 'uses'
    destinationClassId: '&IDC_SystemAttributeRoutine;'
    siblingRelationshipId: '&IDR_System_Attribute_Routine__used_by__Get_Attribute_by_System_Routine_Method;'
    singular: yes

  - relationship: '&IDR_System_Attribute_Routine__used_by__Get_Attribute_by_System_Routine_Method;'
    index: 134
    sourceClassId: '&IDC_SystemAttributeRoutine;'
    type: 'used by'
    destinationClassId: '&IDC_GetAttributeBySystemRoutineMethod;'
    siblingRelationshipId: '&IDR_Get_Attribute_by_System_Routine_Method__uses__System_Attribute_Routine;'
    singular: no
